Bug 1037602 - F20: iscsiadm: Error while adding record: no available memory
Summary: F20: iscsiadm: Error while adding record: no available memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: 20
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Chris Leech
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-03 13:05 UTC by Douglas Schilling Landgraf
Modified: 2021-08-19 03:34 UTC (History)
8 users (show)

Fixed In Version: iscsi-initiator-utils-6.2.0.873-17.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-03 14:58:30 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Douglas Schilling Landgraf 2013-12-03 13:05:14 UTC
Description of problem:

when vdsm attempts to add a new record to the iscsi database it fails with the following error:

Thread-498::ERROR::2013-12-03
00:33:29,199::hsm::2369::Storage.HSM::(connectStorageServer) Could
not connect to storageServer
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/hsm.py", line 2366, in connectStorageServer
    conObj.connect()
  File "/usr/share/vdsm/storage/storageServer.py", line 359, in connect
    iscsi.addIscsiNode(self._iface, self._target, self._cred)
  File "/usr/share/vdsm/storage/iscsi.py", line 150, in addIscsiNode
    iscsiadm.node_new(iface.name, portalStr, targetName)
  File "/usr/share/vdsm/storage/iscsiadm.py", line 239, in node_new
    raise IscsiNodeError(rc, out, err)
IscsiNodeError: (3, [], ['iscsiadm: Error while adding record: no
available memory'])

The commands that were run:
/usr/bin/sudo -n /sbin/iscsiadm -m discoverydb -t sendtargets -I default -p <server> --discover (succeeds)

/usr/bin/sudo -n /sbin/iscsiadm -m node -T <target> -I default -p <server> --op=new (fails)

Version-Release number of selected component (if applicable):

# cat /etc/fedora-release 
Fedora release 20 (Heisenbug)

RPMs:
iscsi-initiator-utils-6.2.0.873-12.fc20.x86_64
vdsm-4.13.0-12.fc20.x86_64

Example from shell (without vdsm):
#  /sbin/iscsiadm -m discoverydb -t sendtargets -I default -p 192.168.1.103 --discover
192.168.1.103:3260,1 iqn.1992-04.com.emc:storage.storage.iscsisuper

# /sbin/iscsiadm -m node -T iscsisuper -I default -p 192.168.1.103 --op=new 
iscsiadm: Error while adding record: no available memory

# free -m
             total       used       free     shared    buffers     cached
Mem:          7986       1113       6873          1         71        591
-/+ buffers/cache:        450       7536
Swap:         8079          0       8079


Additional info:

Looks like:
Failure when adding new record: "Error while adding record: no available memory"
https://bugzilla.redhat.com/show_bug.cgi?id=1001705

Comment 1 Nir Soffer 2013-12-03 18:06:08 UTC
This error happen also on RHEV 6.4 when installing iscsi-initiator-utils-6.2.0.873. Version 872 does not have this error.

Comment 2 Douglas Schilling Landgraf 2013-12-03 19:06:17 UTC
From my tests I see that iscsi-initiator-utils-6.2.0.873-11.fc20.x86_64 (or higher) introduces this error.

I was able to create and run a virtual machine with the last build before the above one (iscsi-initiator-utils-6.2.0.873-9.fc20.x86_64).

Also did manual tests with below versions and it worked as well:
iscsi-initiator-utils-6.2.0.873-5.fc20.x86_64
iscsi-initiator-utils-6.2.0.873-7.fc20.x86_64
iscsi-initiator-utils-6.2.0.873-9.fc20.x86_64

Comment 3 Douglas Schilling Landgraf 2013-12-16 15:11:51 UTC
Hello Chris,

Fedora 20 is knocking the door, do you need anything that I can help to provide a new build?

Thanks!
Douglas

Comment 4 Fedora Update System 2013-12-17 04:27:45 UTC
iscsi-initiator-utils-6.2.0.873-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/iscsi-initiator-utils-6.2.0.873-17.fc20

Comment 5 Fedora Update System 2013-12-19 07:18:56 UTC
Package iscsi-initiator-utils-6.2.0.873-17.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iscsi-initiator-utils-6.2.0.873-17.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23572/iscsi-initiator-utils-6.2.0.873-17.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-01-03 14:58:30 UTC
iscsi-initiator-utils-6.2.0.873-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.